Bug 184 - Second network interface cannot be configured by Network Manager
: Second network interface cannot be configured by Network Manager
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Marathon
: All Linux
: High critical
: 2012 Marathon RP1
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-02 14:12 MSD by FirstLevel
Modified: 2014-06-03 16:36 MSD (History)
4 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments
Interfaces after installation (60.75 KB, image/jpeg)
2012-05-02 14:14 MSD, FirstLevel
Details
Only one interface in network manager (77.30 KB, image/jpeg)
2012-05-02 14:14 MSD, FirstLevel
Details
After changing script (138.41 KB, image/jpeg)
2012-05-02 14:15 MSD, FirstLevel
Details
two interfaces in network manager after changing script (118.23 KB, image/jpeg)
2012-05-02 14:15 MSD, FirstLevel
Details
draknetcenter could not read status of network interface (152.97 KB, image/jpeg)
2012-07-31 08:04 MSD, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-05-02 14:12:39 MSD
On computer with two network interfaces after installation we have only one managed network interface. Second interface is not managed and cannot be configured by Network Manager.
Comment 1 FirstLevel 2012-05-02 14:13:03 MSD
Original configuration

[root@testlts ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
ONBOOT=yes
NM_CONTROLLED=yes
[root@testlts ~]# cat /etc/sysconfig/network-scripts/ifcfg-eth1
DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=yes
[root@testlts ~]# 

[root@testlts ~]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 08:00:27:0C:61:44  
          inet addr:10.0.3.15  Bcast:10.0.3.255  Mask:255.255.255.0
          inet6 addr: fe80::a00:27ff:fe0c:6144/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1 errors:0 dropped:0 overruns:0 frame:0
          TX packets:80 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:590 (590.0 b)  TX bytes:12854 (12.5 KiB)
          Interrupt:16 Base address:0xd240 

eth1      Link encap:Ethernet  HWaddr 08:00:27:70:0B:25  
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@testlts ~]#
Comment 2 FirstLevel 2012-05-02 14:14:07 MSD
If we change script for eth1 as eth0
[root@testlts network-scripts]# cat ifcfg-eth1
DEVICE=eth1
ONBOOT=yes
NM_CONTROLLED=yes
[root@testlts network-scripts]# 

and reboot
we have two correct managed interfaces



[root@testlts ~]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 08:00:27:0C:61:44  
          inet addr:10.0.3.15  Bcast:10.0.3.255  Mask:255.255.255.0
          inet6 addr: fe80::a00:27ff:fe0c:6144/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1 errors:0 dropped:0 overruns:0 frame:0
          TX packets:33 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:590 (590.0 b)  TX bytes:6501 (6.3 KiB)
          Interrupt:16 Base address:0xd240 

eth1      Link encap:Ethernet  HWaddr 08:00:27:70:0B:25  
          inet addr:10.0.2.15  Bcast:10.0.2.255  Mask:255.255.255.0
          inet6 addr: fe80::a00:27ff:fe70:b25/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:1 errors:0 dropped:0 overruns:0 frame:0
          TX packets:77 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:590 (590.0 b)  TX bytes:12239 (11.9 KiB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

[root@testlts ~]#
Comment 3 FirstLevel 2012-05-02 14:14:32 MSD
Created attachment 108 [details]
Interfaces after installation
Comment 4 FirstLevel 2012-05-02 14:14:50 MSD
Created attachment 109 [details]
Only one interface in network manager
Comment 5 FirstLevel 2012-05-02 14:15:10 MSD
Created attachment 110 [details]
After changing script
Comment 6 FirstLevel 2012-05-02 14:15:30 MSD
Created attachment 111 [details]
two interfaces in network manager after changing script
Comment 7 Pavel Shved 2012-05-19 23:34:59 MSD
It seems, I have the same problem.  My internet connection works with eth1 only, but I couldn't configure it via NetworkManager.

Instead of rebooting, casting "/etc/init.d/network restart" worked for me.
Comment 8 FirstLevel 2012-07-12 08:23:45 MSD
Is there any comments from developers?
Comment 9 Vladimir Testov 2012-07-27 14:56:22 MSD
Fixed.
Please test.
(no request for update for now)

https://abf.rosalinux.ru/build_lists/638035
https://abf.rosalinux.ru/build_lists/638036
Comment 10 FirstLevel 2012-07-30 10:39:19 MSD
(In reply to comment #9)
> Fixed.
> Please test.
> (no request for update for now)
> 
> https://abf.rosalinux.ru/build_lists/638035
> https://abf.rosalinux.ru/build_lists/638036

I have tested i586 packages and it works for me.
When I have installed packages, shut down computer, added the second network interface and after system start I observed that seconf interface is presented in NM and I could configure it.
Comment 11 Aleksandr Kazantcev 2012-07-30 15:52:31 MSD
(In reply to comment #10)
> (In reply to comment #9)
> > Fixed.
> > Please test.
> > (no request for update for now)
> > 
> > https://abf.rosalinux.ru/build_lists/638035
> > https://abf.rosalinux.ru/build_lists/638036
> 
> I have tested i586 packages and it works for me.
> When I have installed packages, shut down computer, added the second network
> interface and after system start I observed that seconf interface is
> presented in NM and I could configure it.

Please install this packages and test with latest NM patch:

https://abf.rosalinux.ru/build_lists/638355
https://abf.rosalinux.ru/build_lists/638356

If all OK, we try update NM to 9.0.4 and release official update, solving this and other problems.
Comment 12 FirstLevel 2012-07-30 16:13:32 MSD
> Please install this packages and test with latest NM patch:
> 
> https://abf.rosalinux.ru/build_lists/638355
> https://abf.rosalinux.ru/build_lists/638356
> 
> If all OK, we try update NM to 9.0.4 and release official update, solving
> this and other problems.

What should I test with packages drakx-net-*?

For example, draknetcenter can't start with message (in russian):
Программа "draknetcenter" аварийно завершила свою работу со следующей ошибкой:

  Undefined subroutine &common::cmp_kernel_versions called at /usr/lib/libDrakX/network/tools.pm line 271.
  standalone::bug_handler() called from /usr/lib/libDrakX/network/tools.pm:271
  network::tools::get_routes() called from /usr/lib/libDrakX/network/tools.pm:144
  network::tools::get_current_gateway_interface() called from /usr/lib/libDrakX/network/tools.pm:161
  network::tools::get_default_gateway_interface() called from /usr/lib/libDrakX/network/network.pm:758
  network::network::read_net_conf() called from /usr/sbin/draknetcenter:23

Для оправки отчёта об ошибке нажмите на кнопку «Отчёт».
В веб-браузере откроется адрес Bugzilla с формой для заполнения. Представленные выше сведения будут отправлены на указанный сервер.
Comment 13 Aleksandr Kazantcev 2012-07-30 16:17:21 MSD
This error will one, what we need test.

For full test we need

1. Work NM with drakx-net
2. Start draknetcenter
3. Configure network in NM with itself and use draknetcenter.

Now i'm will need rewrite patch and return posibility using NM and draknetcenter together. Thank's for test.
Comment 14 FirstLevel 2012-07-30 16:35:12 MSD
(In reply to comment #13)
> This error will one, what we need test.
> 
> For full test we need
> 
> 1. Work NM with drakx-net
> 2. Start draknetcenter
> 3. Configure network in NM with itself and use draknetcenter.
> 
> Now i'm will need rewrite patch and return posibility using NM and
> draknetcenter together. Thank's for test.

I am waiting for fixed version of drakx-net-*...
Comment 15 Aleksandr Kazantcev 2012-07-30 17:31:32 MSD
https://abf.rosalinux.ru/build_lists/638417
https://abf.rosalinux.ru/build_lists/638418

This is fixed packages
Comment 16 FirstLevel 2012-07-31 08:03:52 MSD
(In reply to comment #15)
> https://abf.rosalinux.ru/build_lists/638417
> https://abf.rosalinux.ru/build_lists/638418
> 
> This is fixed packages

First of all, I think that my case is only about NetworkManager, not about drakx utilities.
New Networkmanager works for me as I've said earlier.

About drakx-net.. There is a problem. I 've configured two network interfaces by Networkmanager and this information is presented in "ifconfig -a".
But when I've started draknetcenter I saw that second interface (eth1) is not connected. The screenshot is attached.
So, draknetcenter could not read the status of network interfaces configured by NetworkManager
Comment 17 FirstLevel 2012-07-31 08:04:22 MSD
Created attachment 443 [details]
draknetcenter could not read status of network interface
Comment 18 Aleksandr Kazantcev 2014-01-27 11:38:31 MSK
Close as no longer answer
Comment 19 FirstLevel 2014-01-27 15:25:31 MSK
(In reply to comment #18)
> Close as no longer answer

Why do You close this ticket if last word is from initiator?
Comment 20 Aleksandr Kazantcev 2014-01-27 15:28:31 MSK
Is bug still valid? And we do not plan fix drakx instruments in Marathon anymore, only if this need for FSTEK version like Kobalt.
Comment 21 FirstLevel 2014-06-03 16:36:35 MSD
checking the relevance